Subject: RE: bug#13292: 24.3.50; wrong sytax description in (elisp) Case Tables

From: "Drew Adams" <[email-masked]>
Date: Sat, 29 Dec 2012 08:17:50 -0800

> I meant a time closer to when the elisp manual was written, viz.
> http://ftp.gnu.org/old-gnu/emacs/elisp-manual-20-2.5.tar.gz
> has (in the node we are talking about: A Sample Function Description)
> 
> @defun foo integer1 &optional integer2 &rest integers
> but the formatted manual included in that tarball has
>  - Function: foo INTEGER1 &optional INTEGER2 &rest INTEGERS
>  
> That's the reason why Drew's report rang a bell: I remembered 
> that years ago I had become aware of this change from upper-case
> to lower-case at some point.

Yes, in Emacs 20 parameters were uppercase - more readable, BTW.

I don't have an Emacs 21 Elisp (Info) manual.  My guess would be that this
regression (intentional, no doubt) was introduced in Emacs 22.

The current bug is that the usage is not consistent - that's the point.
Parameters should either be always uppercase or always lowercase.  They are
instead sometimes all uppercase, sometimes all lowercase.